Page MenuHomePhabricator

Burnup rate month date shown in tool tip is off by one. January is month zero!
Closed, ResolvedPublic

Description

Notes from Upstream as of March 18th 2019:

https://secure.phabricator.com/T12675closed as dupeBurnup rate month date shown in tool tip is off by one (January is month zero)
https://secure.phabricator.com/T1562A new system!Build "Facts", an ETL pipeline and charting application
https://secure.phabricator.com/D19967Merged 20190116Correct a zero-based month tooltip on burnup charts

On the burnup rate chart eg https://phabricator.wikimedia.org/maniphest/report/burn/?project=PHID-PROJ-vsmfrepntbidaefarwts the tooltip shows dates in January with a 0 month, and may is 04 :(

Event Timeline

hashar created this task.May 4 2017, 11:11 AM
Restricted Application added a project: Upstream. · View Herald TranscriptMay 5 2017, 11:26 AM
Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.
Aklapper updated the task description. (Show Details)

Note that upstream does not plan to accept a patch for this issue in favor of https://secure.phabricator.com/T1562

hashar changed the task status from Open to Stalled.Jun 16 2017, 11:00 AM
hashar triaged this task as Low priority.
hashar closed this task as Resolved.Mar 18 2019, 12:07 PM
hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)

Fixed by Upstream with https://secure.phabricator.com/D19967

Thank you @epriestley ! Indeed the tooltip is fine now